%define module_name Forks-Super
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(CPAN.pm) perl(ExtUtils/MakeMaker.pm) perl(Math/BigInt.pm) perl(Module/Build.pm) perl(Module/Build/ConfigData.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(URI.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.97
Release: alt3
Summary: extensions and convenience methods to manage background processes
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MO/MOB/%{module_name}-%{version}.tar.gz

%description
This package provides new definitions for the Perl functions
fork, wait, and
waitpid with richer functionality.
The new features are designed to make it more convenient to
spawn background processes and more convenient to manage them
to get the most out of your system's resources.


%prep
%setup -q -n %{module_name}-%{version}

if [ %version = 0.97 ]; then
# sysread() isn't allowed on :utf8 handles
rm t/44l-pipes.t
fi

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.windows TODO-1.0 TODO README examples
%perl_vendor_autolib/*
%perl_vendor_privlib/S*
%perl_vendor_privlib/F*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.97-alt3
- rebuild with perl 5.38

* Tue Jun 22 2021 Igor Vlasenko <viy@altlinux.org> 0.97-alt2
- rebuild with perl 5.34

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.97-alt1.1
- rebuild with perl 5.28.1

* Thu Oct 11 2018 Igor Vlasenko <viy@altlinux.ru> 0.97-alt1
- regenerated from template by package builder

* Wed Sep 12 2018 Igor Vlasenko <viy@altlinux.ru> 0.96-alt1
- regenerated from template by package builder

* Sat Sep 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.95-alt1
- regenerated from template by package builder

* Sun Jun 17 2018 Igor Vlasenko <viy@altlinux.ru> 0.94-alt1
- regenerated from template by package builder

* Tue Feb 13 2018 Igor Vlasenko <viy@altlinux.ru> 0.93-alt1
- regenerated from template by package builder

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.91-alt2
- rebuild with perl 5.26

* Wed Oct 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.91-alt1
- regenerated from template by package builder

* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.88-alt1
- regenerated from template by package builder

* Sun Nov 20 2016 Igor Vlasenko <viy@altlinux.ru> 0.87-alt1
- regenerated from template by package builder

* Thu Sep 01 2016 Igor Vlasenko <viy@altlinux.ru> 0.86-alt1
- regenerated from template by package builder

* Thu May 26 2016 Igor Vlasenko <viy@altlinux.ru> 0.84-alt1
- regenerated from template by package builder

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.80-alt1.1
- rebuild with perl 5.22

* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.80-alt1
- regenerated from template by package builder

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.73-alt2
- rebuild to get rid of unmets

* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 0.73-alt1
- regenerated from template by package builder

* Sat May 03 2014 Igor Vlasenko <viy@altlinux.ru> 0.72-alt1
- initial import by package builder

